#include <avr/io.h>
#include <util/delay.h>

#define F_CPU 8000000UL // ATtiny1614 operates at 8MHz

#define BUZZER_PIN 4 // PA04

void buzzer_init() {
    // Set PA04 as output
    PORTA.DIRSET = PIN4_bm;
}

void buzzer_on() {
    // Set PA04 high to turn on the buzzer
    PORTA.OUTSET = PIN4_bm;
}

void buzzer_off() {
    // Set PA04 low to turn off the buzzer
    PORTA.OUTCLR = PIN4_bm;
}

int main() {
    // Initialize buzzer
    buzzer_init();

    while (1) {
        // Turn on the buzzer
        buzzer_on();
        
        // Wait for some time
        _delay_ms(1000);
        
        // Turn off the buzzer
        buzzer_off();
        
        // Wait for some time
        _delay_ms(1000);
    }

    return 0;
}